<?php

defined('_JEXEC') or die( 'Restricted access' );

/**
 * @version 2.0 $Id: lightboxlist.php,v 1.6 2010-12-28 23:19:17 harry Exp $
 * @package Joomla
 * @subpackage H2N Plugin Mosimage
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Plugin Mosimage is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Plugin Mosimage is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport('joomla.filesystem.file');

class JElementLightboxList extends JElement {
	var	$_name = 'Lightboxlist';
	private $rootDir;

	const LYTEBOX = 'lytebox-3.22';
	const SLIMBOX_14 = 'slimbox-1.41';
	const SLIMBOX_15 = 'slimbox-1.57';
	const SHADOWBOX =  'shadowbox-3.0.1';
	const LIGHTBOX2 = 'lightbox2';
	
	public function __construct(){
		$this->rootDir = JPATH_SITE . DS . 'images'. DS . 'stories';
	}

	public function fetchElement($name, $value, &$node, $control_name) {
		$options = array();
		$options[] = array('id'=>self::LYTEBOX,    'text'=>JText::_('lytebox-3.22'));
		$options[] = array('id'=>self::SLIMBOX_14, 'text'=>JText::_('slimbox-1.41'));
		$options[] = array('id'=>self::SLIMBOX_15, 'text'=>JText::_('slimbox-1.57'));
		$options[] = array('id'=>self::SHADOWBOX,  'text'=>JText::_('shadowbox-3.0.1'));
		// $options[] = array('id'=>self::LIGHTBOX2,  'text'=>'lightbox2');
		// $options[] = array('id'=>'other_lightbox2', 'text'=>JText::_('other lightbox2'));
		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'id', 'text', $value, $control_name.$name );
	}


}